# Self-contained build for copying to any ordinary static web server.
# - Uses relative links that work from subpaths and mirrored directories.
# - Preserves directory-style URLs used by the published site copy.
# - Disables Google Fonts so the generated site has no remote font dependency.
# - Removes GitHub repository/edit links from the rendered pages.
site_name: Y-Arena
site_description: Janelia Turner Lab Y-Arena Odor Rig
site_author: Peter Polidoro
site_url: ''

copyright: 'Copyright &copy; 2020 Peter Polidoro'

theme:
  name: 'material'
  language: en
  logo: 'img/y_logo.png'
  feature:
    tabs: true
  palette:
    primary: indigo
    accent: Deep Purple
  font: false

extra:
  generator: false

edit_uri: ''

markdown_extensions:
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  - codehilite:
      guess_lang: true

nav:
  - Home: index.md
  - Usage:
    - C++: usage/cpp.md
    - Python: usage/python.md
    - Matlab: usage/matlab.md
    - Docker Command Line: usage/cli.md
    - Arena Odors Message: usage/arena_odors_message.md
    - Odors Vector: usage/odors_vector.md
    - SSH: usage/ssh.md
    - Web Console: usage/web_console.md
  - Setup:
    - ycontroller: setup/ycontroller.md
    - Linux Host: setup/linux_host.md
    - Windows Matlab Host: setup/windows_matlab_host.md
    - Windows Python Host: setup/windows_python_host.md
  - System Architecture:
    - Arena: sa/arena.md
    - Module: sa/module.md
    - Rig: sa/rig.md
  - Hardware:
    - y_arena_odor_controller: hardware/y_arena_odor_controller.md
  - Firmware:
    - YArenaOdorController: firmware/y_arena_odor_controller.md
  - Software:
    - y_arena_odor_controller_ros: software/y_arena_odor_controller_ros.md
